XML_TO_BAS(1)

NAME
xml_to_bas.pl - Generates a file containing read statistics for a given XML analysisFull URI.

SYNOPSIS
xml_to_bas.pl [options]

  Required parameters:
    -uri        -d    Same URI used by gtdownload
    -output     -o    Name for output file. Defaults to STDOUT.

  Optional parameters:
    -bam       -b  BAM|CRAM file this data relates to
                   - checks retrieved data correlates with expected BAM
                   - additionally can correct read_group_id if other fields correlate when
                     clashes occur.
    -local-path -l Local file path for XML from GNOS.

  Other:
    -help     -h   Brief help message.
    -man      -m   Full documentation.
    -version  -v   Prints the version number.

  Example:
    xml_to_bas.pl -d https://gtrepo-ebi.annailabs.com/cghub/metadata/analysisFull/4e183691-ba1f-4103-a517-948f363928b8 -o file.bam.bas

OPTIONS

-uri
    Which BAS data to download and convert.

-output
    File path to output data. If this option is omitted the script will attempt to write to STDOUT.

-help
    Print a brief help message and exits.

-man
    Prints the manual page and exits.

-version
    Prints the version number and exits.